<?php
/**
 * Utilisations de pipelines par GamuMail
 *
 * @plugin     GamuMail
 * @copyright  2020
 * @author     tofulm
 * @licence    GNU/GPL
 * @package    SPIP\Gamumail\Pipelines
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

/**
 * pipeline pour faire les remplacements des @@ dans le contenu du slug envoyé dans $flux
 * 
 * @param  array $flux données du pipeline :
 * 		$flux['data'] = $html
 * 		$flux['args']['slug'] = $slug
 *		$flux['args']['destinataires'] = $destinataires
 *		$flux['args']['options'] = $options
 * @return array $flux données du pipeline
 * 
 **/
function gamumail_remplacements_slug($flux) {
	
	return $flux;
}



/**
 * Optimiser la base de données
 *
 * Supprime les objets à la poubelle.
 *
 * @pipeline optimiser_base_disparus
 * @param  array $flux Données du pipeline
 * @return array       Données du pipeline
 */
function gamumail_optimiser_base_disparus($flux) {

	sql_delete('spip_gamumails', "statut='poubelle' AND maj < " . $flux['args']['date']);

	return $flux;
}

